import { _decorator, Component, Node } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('Logger')
export class Logger extends Component 
{
    @property({type: Boolean})
    private enableLogs: boolean;

    public static fn_Log(msg: string)
    {
        console.log(msg);
    }

    public static fn_Warning(msg: string)
    {
        console.warn(msg);
    }

    public static fn_Error(msg: string)
    {
        console.error(msg);
    }
}

